## org.eclipse.emf.ocl.expressions.impl
Class IterationTemplateClosure

    java.lang.Object
      org.eclipse.emf.ocl.expressions.impl.IterationTemplateClosure

    public class IterationTemplateClosure

extends Object

Instantiation of the iteration template for the `closure` iterator.

Method Summary
`protected void` `advanceIterators(List iterators, Iterator[] javaIters, Collection c, int curr)`
`Object` `evaluate(Collection coll, List iterators, OCLExpression body, String resultName)`
`protected Object` `evaluateResult(List iterators, String resultName, Object bodyVal)` Recursively evaluates the iterator body expression.
`EvaluationEnvironment` `getEvalEnvironment()`
`EvaluationVisitor` `getEvaluationVisitor()`
`static org.eclipse.emf.ocl.expressions.impl.IterationTemplate` `getInstance(EvaluationVisitor v)`
`static org.eclipse.emf.ocl.expressions.impl.IterationTemplate` `getInstance(EvaluationVisitor v, OCLExpression body)`
`protected int` `getNextUnfinishedIterator(Iterator[] javaIters)`
`protected void` `initializeIterators(List iterators, Iterator[] javaIters, Collection c)`
`boolean` `isDone()`
`protected boolean` `moreToGo(int curr, int numIters)`
`protected void` `removeIterators(List iterators)`
`void` `setDone(boolean done)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getInstance

    public static org.eclipse.emf.ocl.expressions.impl.IterationTemplate getInstance(EvaluationVisitor v,
                                                                                     OCLExpression body)

### evaluateResult

    protected Object evaluateResult(List iterators,
                                    String resultName,
                                    Object bodyVal)

  Recursively evaluates the iterator body expression.

### getInstance

    public static org.eclipse.emf.ocl.expressions.impl.IterationTemplate getInstance(EvaluationVisitor v)

### getEvaluationVisitor

    public EvaluationVisitor getEvaluationVisitor()

### getEvalEnvironment

    public EvaluationEnvironment getEvalEnvironment()

### setDone

    public final void setDone(boolean done)

### isDone

    public final boolean isDone()

### evaluate

    public Object evaluate(Collection coll,
                           List iterators,
                           OCLExpression body,
                           String resultName)

### initializeIterators

    protected void initializeIterators(List iterators,
                                       Iterator[] javaIters,
                                       Collection c)

### getNextUnfinishedIterator

    protected int getNextUnfinishedIterator(Iterator[] javaIters)

### advanceIterators

    protected void advanceIterators(List iterators,
                                    Iterator[] javaIters,
                                    Collection c,
                                    int curr)

### removeIterators

    protected void removeIterators(List iterators)

### moreToGo

    protected boolean moreToGo(int curr,
                               int numIters)

Copyright 2002, 2007 IBM Corporation and others. All Rights Reserved.